Package org.codehaus.janino.util.signature

# Class SignatureParser.TypeArgument

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.TypeArgument

Enclosing class:
  `SignatureParser`

public static class SignatureParser.TypeArgument extends Object
Representation of the "TypeArgument" clause.

       type-argument :=
         'extends' field-type-signature
         | 'super' field-type-signature
         | '*'
         | field-type-signature

## Field Summary

Fields
Modifier and Type
Field
Description
`final SignatureParser.FieldTypeSignature`
`fieldTypeSignature`
Must be for `SignatureParser.TypeArgument.Mode.ANY`, non-`null` otherwise.
`final org.codehaus.janino.util.signature.SignatureParser.TypeArgument.Mode`
`mode`

## Constructor Summary

Constructors
Constructor
Description
`TypeArgument(org.codehaus.janino.util.signature.SignatureParser.TypeArgument.Mode mode, SignatureParser.FieldTypeSignature fieldTypeSignature)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### mode

public final org.codehaus.janino.util.signature.SignatureParser.TypeArgument.Mode mode

See Also:
  - `SignatureParser.TypeArgument`

### fieldTypeSignature

@Nullable public final SignatureParser.FieldTypeSignature fieldTypeSignature
Must be for `SignatureParser.TypeArgument.Mode.ANY`, non-`null` otherwise.

See Also:
  - `SignatureParser.TypeArgument`

## Constructor Details

### TypeArgument

public TypeArgument(org.codehaus.janino.util.signature.SignatureParser.TypeArgument.Mode mode, @Nullable SignatureParser.FieldTypeSignature fieldTypeSignature)

Parameters:
  `fieldTypeSignature` - `null` iff `mode == ANY`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`